Subject: [bug#49965] Correct Input type for Common Lisp packages

From: Charles <[email-masked]>
Date: Wed, 11 Aug 2021 23:39:39 +0000

> I think it's the philosophy of GNU Guix to use references to the store

You're right, I see now: "propagated-inputs is useful is for languages that
lack a facility to record the run-time search path". Common Lisp has
asdf:*central-registry*. It still seems to me that propogated inputs is
more intuitive and is more portable to guix on forgein linux distributions.
I have a Centos system with guix package manager, and I had to install every
dependency manually for some packages.

Also it still doesn't fully work for me. I deleted my custom init-file.
Attatched is my shell session where I tryto use the sbcl-cl-str package.
In short: package cannot be found in ad-hoc environment; package is found
if installed, but is compiled with an newer version of sbcl: weird, but also
probably unrelated.